Bug 450035 - e1000e static IP configure fails completely
e1000e static IP configure fails completely
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i386 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-04 17:32 EDT by Jonathan S. Shapiro
Modified: 2015-05-07 13:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:49:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan S. Shapiro 2008-06-04 17:32:19 EDT
We have a server using an e1000e interface. When it is configured with a static
IP, the bringup of the interface fails. The output of dmesg suggests that the
initial startup of the device is being delayed just long enough for the ifconfig
command to fail.

dmesg|grep eth0:

  eth0: (PCI Express:2.5GB/s:Width x1) 00:19:21:4b:cb:30
  eth0: Intel(R) PRO/1000 Network Connection
  eth0: MAC: 5, PHY: 6, PBA No: ffffff-0ff
  ADDRCONF(NETDEV_UP): eth0: link is not ready
  eth0: Link is Up 100 Mbps Full Duplex, Flow Control: None
  eth0: 10/100 speed: disabling TSO
  ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready

Configuring using DHCP works, but isn't an option for this installation. I'm not
clear which ethtool options might help here, and in any case the ones involving
link timing cannot be set in ifcfg-eth0 using ETHTOOL_OPTS, because they aren't
part of the ethtool -s option set.

I did try hand-setting the interface speed and duplex parameters, but that
doesn't appear to matter one way or the other.

The interface config file has NM_CONTROLLED=no, so I don't think this is a
network manager issue, but I don't grok network manager, so I could be wrong.

I can insert a workaround into rc.sysinit, but it isn't clear what the
workaround would be. There are many mentions of this type of timeout error on
the web, but I haven't found any that identify a solution for this.

I have rated this "high" because there are a surprising number of e1000e servers
out there whose configuration might be impeded by this issue. Please feel free
to lower priority as appropriate.
Comment 1 Chuck Ebbert 2008-06-05 20:51:45 EDT
You can delay initialization to wait for the link to come up by adding:

  LINKDELAY=n

the the ifcfg file, where 'n' is the number of seconds to delay.
Comment 2 Jesse Brandeburg 2008-09-12 14:16:48 EDT
FYI, it takes up to a maximum of four seconds after adapter reset for link to come up.  We have to reset the part to get it into a known state at boot and the reset brings the link down.
Comment 3 Bug Zapper 2009-06-09 21:24:23 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jesse Brandeburg 2009-06-22 18:57:31 EDT
corrected title, don't know if this will ever be worked on.

Did you ever come up with a workaround?
Comment 5 Bug Zapper 2009-07-14 11:49:51 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Jesse Brandeburg 2015-05-07 13:16:03 EDT
removing myself from needinfo, bug is already closed.

Note You need to log in before you can comment on or make changes to this bug.